Bug 979087 - openstack-glance: please review support data collection
openstack-glance: please review support data collection
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-glance (Show other bugs)
unspecified
Unspecified Unspecified
high Severity medium
: ---
: 4.0
Assigned To: John Bresnahan
Haim
:
Depends On:
Blocks: 840057
  Show dependency treegraph
 
Reported: 2013-06-27 10:58 EDT by Bryn M. Reeves
Modified: 2016-04-26 12:39 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-25 09:14:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryn M. Reeves 2013-06-27 10:58:01 EDT
Description of problem:
As part of support readiness preparations for OpenStack please review the data proposed to be collected for support purposes by the sos tool:

        "/etc/glance/"
        "/var/log/glance/"
        "/etc/logrotate.d/openstack-glance"

Please verify that this set of information is complete and sufficient for support of this component and confirm either that no secrets (passwords, private keys, etc.) are collected or list any secrets that may be included.

This information is needed to create path exclusion and search/replace rules to remove this data from generated reports.

Please provide feedback on these items via this bug - once the review has taken place the bug may be closed.
Comment 2 John Bresnahan 2013-07-23 14:35:30 EDT
The following files require the following passwords to operate:

    glance-api.conf:rabbit_password
        or
    glance-api.conf:qpid_password

    glance-api.conf:admin_password
    glance-cache.conf:admin_password
    glance-registry.conf:admin_password

The list looks complete.
Comment 3 Bryn M. Reeves 2013-07-25 09:13:41 EDT
Thanks John. I'll get this list obscured in the plug-in and push upstream.

Note You need to log in before you can comment on or make changes to this bug.